=== dslm/Makefile ===
CFLAGS?=-Wall
DSLM_BINARY=dslm
DSLM_DIR=dslm

dslm: $(DSLM_DIR)/$(DSLM_BINARY)
	
dslm-clean:
	@rm -f $(DSLM_DIR)/$(DSLM_BINARY)

dslm-install: dslm
	@mkdir -p $(DESTDIR)/bin/
	install -m 755 $(DSLM_DIR)/$(DSLM_BINARY) $(DESTDIR)/bin/$(DSLM_BINARY)

dslm-uninstall:
	rm -f $(DESTDIR)/bin/$(DSLM_BINARY)

.PHONY: dslm-clean dslm-install dslm-uninstall

TARGETS+=dslm
TARGETS_CLEAN+=dslm-clean
TARGETS_INSTALL+=dslm-install
TARGETS_UNINSTALL+=dslm-uninstall
