=== extras/CMakeLists.txt ===
IF(BUILD_USPLASH)
	ADD_SUBDIRECTORY(initng-usplash)
ENDIF(BUILD_USPLASH)
